import { __extends, __rest, __assign } from './../../external/tslib/tslib.es6.js';
import * as React from 'react';
import classnames from 'classnames';
import { Typography } from '@highlight-ui/typography';
import { parseMetadata } from '@highlight-ui/utils-commons';
import styles from './DropdownMenuItem.module.scss.js';

var DropdownMenuItem = function (_super) {
  __extends(DropdownMenuItem, _super);

  function DropdownMenuItem() {
    return _super !== null && _super.apply(this, arguments) || this;
  }

  DropdownMenuItem.prototype.render = function () {
    var _a, _b, _c, _d, _e;

    var _f = this.props,
        selected = _f.selected,
        disabled = _f.disabled,
        hover = _f.hover,
        active = _f.active,
        className = _f.className,
        preventToCloseOnClick = _f.preventToCloseOnClick,
        onClick = _f.onClick,
        children = _f.children,
        metadata = _f.metadata,
        remainingProps = __rest(_f, ["selected", "disabled", "hover", "active", "className", "preventToCloseOnClick", "onClick", "children", "metadata"]);

    var containerClassName = classnames(styles.dropdownItemContainer, (_a = {}, _a[styles.disabled] = disabled, _a), (_b = {}, _b[styles.hover] = !disabled && hover, _b), (_c = {}, _c[styles.active] = !disabled && active, _c), (_d = {}, _d[styles.selected] = selected, _d), (_e = {}, _e[styles.buttonOption] = !remainingProps.href, _e), className);
    return /*#__PURE__*/React.createElement(Typography, __assign({
      variant: "body-1",
      component: remainingProps.href ? 'a' : 'button',
      className: containerClassName,
      onClick: disabled || preventToCloseOnClick || !onClick ? undefined : onClick,
      tabIndex: -1
    }, parseMetadata(metadata), remainingProps), /*#__PURE__*/React.createElement("div", null, children));
  }; // eslint-disable-next-line react/static-property-placement


  DropdownMenuItem.defaultProps = {
    active: false,
    className: null,
    disabled: false,
    hover: false,
    onClick: null,
    preventToCloseOnClick: false,
    selected: false
  };
  return DropdownMenuItem;
}(React.PureComponent);

export { DropdownMenuItem };
//# sourceMappingURL=DropdownMenuItem.js.map
