import { __extends, __rest, __assign } from './../../external/tslib/tslib.es6.js';
import * as React from 'react';
import classnames from 'classnames';
import { parseMetadata } from '@highlight-ui/utils-commons';
import styles from './DropdownMenuToggle.module.scss.js';
var ESC_KEY_CODE = 27;

var DropdownMenuToggle = function (_super) {
  __extends(DropdownMenuToggle, _super);

  function DropdownMenuToggle() {
    var _this = _super !== null && _super.apply(this, arguments) || this;

    _this.handleKeyDown = function (e) {
      var keyCode = e.keyCode;
      var onToggle = _this.props.onToggle;
      if (keyCode === ESC_KEY_CODE && onToggle) onToggle();
    };

    return _this;
  }

  DropdownMenuToggle.prototype.render = function () {
    var _a = this.props,
        className = _a.className,
        onToggle = _a.onToggle,
        disabled = _a.disabled;
    _a.containerWidth;

    var children = _a.children,
        metadata = _a.metadata,
        remainingProps = __rest(_a, ["className", "onToggle", "disabled", "containerWidth", "children", "metadata"]);

    var containerClassName = classnames(styles.dropdownToggleContainer, className);
    return /*#__PURE__*/React.createElement("div", __assign({}, parseMetadata(metadata), remainingProps, {
      className: containerClassName,
      onClick: disabled ? undefined : onToggle,
      onKeyDown: disabled ? undefined : this.handleKeyDown
    }), children);
  }; // eslint-disable-next-line react/static-property-placement


  DropdownMenuToggle.defaultProps = {
    containerWidth: 0,
    onToggle: null,
    disabled: false,
    className: null
  };
  return DropdownMenuToggle;
}(React.PureComponent);

export { DropdownMenuToggle };
//# sourceMappingURL=DropdownMenuToggle.js.map
